* Balsa-2.6.4 release. Release date 2022-09-20

- Fix display/printout with nondefault HTML preferences.
- HTML context meny improments, integration with Webkit HTML privacy
  filter.
- Header edition in GNOME editor fixed.
- Some MDN, iCalendar issues fixed.
- More informative error messages.
- Notification improvements.
- Show UI for opening download location after download.
- Minor memory leaks plugged.
- code refactoring and lceanup.
- Library and build system deprecation cleanups.
- Translation updates.

* Balsa-2.6.3 release. Release date 2021-08-18

- Improve Autocrypt-related error messages.
- Improvements to communication with GnuPG key servers.
- Create standard-compatible HTML messages.
- Implement sender-dependent HTML message preferences.
- Reuse HTTP connections when rendering HTML messages.
- Do not send empty Reply-To, Cc, etc headers.
- More robust IMAP parser and response handling.
- Code cleanups, platform-dependent build fixes

* Balsa-2.6.2 release. Release date 2020-12-21

- Webkit widgets are now sandboxed.
- Improved desktop notifications.
- iTIP calendar reply are improved.
- Handling of multiple crypto keys for the same recipient.
- build cleanups and improvements, e.g. application logging.
- code cleanups and simplifications as enabled by moving to more modern
  libraries.
- bug fixes: draft with message/external-body attachments; 
  do not crash on importing half-broken keys
- improved translations.


* Balsa-2.6.1 release. Release date 2020-05-10

- fix server identity verification.

* Balsa-2.6.0 release. Release date 2020-04-11

This release switches to gmime3 library for MIME processing.

* Balsa-2.5.9 release. Release date 2019-10-19

- fix HTML message layout issues.

* Balsa-2.5.8 release. Release date 2019-10-11

Change with respect to 2.5.7

- i18n improvements.
- improved display of HTML messages.
- handling of calendar (vcal) attachments.
- LDAP address book improvements / error handling.
- message presentation refactoring.
- GPGME is a hard requirement now.
- misc bug fixes and code health updates.

* Balsa-2.5.7 release. Release date 2019-05-25

Changes with respect to 2.5.6 tag:

- mitigate “Re: What's Up Johnny?” vulnerabilities
- code cleanup and adaptations to changing libraries.
  New minimal requirements are: GLib - 2.48, Gtk3 - 3.18
- fix bugs in referencing images from HTML emails
- encryption: key selection improvements
- printing HTML parts
- menu tree UI improvements
- improved IMAP folder configuration
- IMAP and POP code ported to use glib / gio
- other bug fixes

* Balsa-2.5.6 release. Release date 2018-06-01

Changes wrt to 2.5.5 tag:

- fix scroll on click issue

- display time stamps of date-only RFC 5545 iCalendar events

- disable reply-to-group when the message is not from an
  RFC-2369-compliant mail list

- Mitigate EFail vulnerability for Webkit2

* Balsa-2.5.5 release. Release date 2018-02-26

Changes wrt to 2.5.4 tag:

- crypto performance improvements
- updates to match glib-2.56 API changes.
- fix use-after-free bugs.
- improve replying to HTML-only messages.
- low level networking re-done.
- multiple bugfixes.

* Balsa-2.5.1 release. Release date 2013-04-27

- new message header widget
- WebkitGtk2 widget integration
- ported to GNetworkMonitor
- yet another documentation port
- initial config assistant improvements.


* Balsa-2.5.0 release. Release date 2013-02-28

- making gtk3 build the official one.

* Balsa-2.4.9 release. Release date 2010-11-19

- compile against new GTK, libnotify libs.

* Balsa-2.4.8 release. Release date 2010-08-21

- QUOTA and MYRIGHTS IMAP extension support.
- bug fixes: #625695, #620221, #623910, #623740, #618979, #579479, #613998
- various memory leaks plugged.

* Balsa-2.4.7 release. Release date 2010-02-13

- infinite loop (debian #568298).
- avoid crashes when manually verifing GPG signature.

* Balsa-2.4.6 release. Release date 2010-01-27

Clearly, 2.4.3 to 2.4.5 were of a release-candidate quality...
- add forgotten part of filter comparison patch.
- fix occasional IMAP failures on compressed connections.

* Balsa-2.4.5 release. Release date 2010-01-24

- fix building with GNOME.

* Balsa-2.4.3 release. Release date 2010-01-23

- IMAP compression (COMPRESS=DEFLATE) when supported by server
- making opening attachment easier by saving them in a directory
- downloadable images when using Webkit html widget
- faster opening of the compose window.
- text searching enabled in the WebKit html viewer.
- options to hide toolbars and other parts of the UI (useful on netbooks etc).
- For laptop/wifi users: not trying to reach POP3 servers while
  disconnected, and instead checking immediately on reconnection.

* Balsa-2.4.2 release. Release date 2009-12-06

- searching in HTML parts.
- improved webkit support.
- NetworkManager events intercepted to reconnect to IMAP servers.
- compatibility with recent openssl.
- compatibility with  gtk version >= 2.18
- improved Mac OS X integration.
- bug fixes!
- better translations!

* Balsa-2.4.1 release. Release date 2009-08-09

- Continuing cleanup work: removing obsolete library calls.
- partial workaround for the deadlock in xcb library code.
- experimental use of libcanberra for sound.
- many small bugfixes.

* Balsa-2.4.0 release. Release date 2009-05-25

- GMime-2.4, GLib-2.16, and Gtk-2.14 required.
- use libunique as an alternative to BonoboActivation, whenever available.
- compile and run on Mac OSX.
- VCALENDAR and VEVENT handling.
- deprecation cleanup.
- message threading improvements (eg. thread selection) and fixes.
 
* Balsa-2.3.28 release. Release date 2009-01-18

- Fix the IMAP message threading regression.
- Use GIO library when available.
- Improve GMail IMAP compatibility.
- Bug fixes for 509434, 567323, 566426, 566420, 566415.

* Balsa-2.3.27 release. Release date 2008-12-30

- porting to most recent GTK versions.
- documentation ported to gnome-doc format. (#559825)
- partial translations of the manual to German and Spanish.
- gnome-keyring is used if available (experimental).
- disable deprecated apis only in svn tree (#561875).
- initial experimental support for WebKit.

* Balsa-2.3.26 release. Release date 2008-09-07

- composing format=flowed messages with spaces pasted in works better.
- allow to explicitly specify a GPG key id for an identity.

* Balsa-2.3.25 release. Release date 2008-06-14

- GMail compatibility.
- notification icon in GNOME panel is optional now.
- wrapping of flowed text improved.
- lots of various bug fixes.

* Balsa-2.3.24 release. Release date 2008-05-31

- Support for accessing files over gnome-vfs (smb, ssh mounts, etc.)
- maildir tree scanning fixes.
- Rudimentary support for sending text/html messages.
- UIDPLUS IMAP extension support.

* Balsa-2.3.23 release. Release date 2008-03-20

- Suppport for IMAP MULTIAPPEND extension for faster uploading of
  message batches to and from IMAP servers.
- improved scanning of mailbox trees.
- GtkSourceView2 support.

* Balsa-2.3.22 release. Release date 2007-12-23

- new address edition widget in the compose window.
- compose window displays languages available for spell checking.
- more new icons.

* Balsa-2.3.21 release. Release date 2007-12-08

- migration from GnomeUI to GtkUIManager
- Rubrica address book support.
- bugs fixed: GNOME: 481842, 488432, 496316; Redhat: 414361.

* Balsa-2.3.20 release. Release date 2007-09-07

- fix buffer overflow (#474366).
- avoid sending messages twice under certain conditions.

* Balsa-2.3.19 release. Release date 2007-08-25

- more build fixes.

* Balsa-2.3.18 release. Release date 2007-08-22

- reflow improvements.
- Build problems against steaming-hot GNOME fixed.
- Make BINARY and ESEARCH IMAP extensions usage more robust.

* Balsa-2.3.17 release. Release date 2007-07-04

- check validity of server APOP challenge.
- add ability to store VCARD signatures.
- use ESEARCH IMAP extension if available.
- message wrapping fixes.
- and an usual bunch of bugfixes.

* Balsa-2.3.16 release. Release date 2007-05-27

- fix message threading regression.
- reorganize "Identity" dialog.
- code cleanup.

* Balsa-2.3.15 release. Release date 2007-05-01

- Use GtkPrint infrastructure if available.
- handle LDAP referrals.
- nicer citation marks.
- initial libnotify support.
- IMAP BINARY support.

* Balsa-2.3.14 release. Release date 2006-12-12

- deferred population of the mailbox index.
- client-side IMAP sorting.
- be compatible with recent gtk2 releases.
- mailbox tabs reorderable with d&d.
- enhanced mailto: URL handling.

* Balsa-2.3.13 release. Release date 2006-06-26

- many small fixes
- nicer icons.

* Balsa-2.3.12 release. Release date 2006-03-04

- do not reference freed memory in mbox driver.

* Balsa-2.3.11 release. Release date 2006-02-28

- assure messages are properly signed after identity change.
- Ctrl-N goes over unread messages in all mailboxes.
- Redone Preference Manager.
- support better slow LDAP servers.
- use better real estate when displaying message counts.
- fixed bugs: 330085, 330093, 332980.

* Balsa-2.3.10 release. Release date 2006-01-29

- local mailbox opening acceleration.
- composed message saving and postponing UI improvements.

* Balsa-2.3.9 release. Release date 2006-01-06

- fix mailbox locking regressions.
- GtkSpell improvements.

* Balsa-2.3.8 release. Release date 2005-12-27

- improved local mailbox opening performance.
- fix gtk2-2.8.9 compatibility (324516).
- fixed 323442, 323458, 323618, 323617, 323448, 323871, 323871, 

* Balsa-2.3.7 release. Release date 2005-12-04

- few ready quick filters added to "Subject or Sender" one.
- optional GtkSpell support.
- POP3 delivery speedup.
- Face and X-Face: header support.

* Balsa-2.3.6 release. Release date 2005-10-23

- improved support for splitting messages.
- fix bugs 318171, 317240.

* Balsa-2.3.5 release. Release date 2005-09-20

- improve error handling.
- doc updates.
- bugs fixes: 309574, 312091 and 312105.


* Balsa-2.3.4 release. Release date 2005-07-06

- fixed regression in message encryption.
- working address book edition.
- possible buffer overflow in IMAP code fixed.
- double free occuring when user rejects POP3 TLS certificate fixed.

* Balsa-2.3.3 release. Release date 2005-06-06

- preserve local mailbox statistics between sessions.
- SQLite v.3 support (#305152).
- default inbox location (#305659).
- better mailbox popup menu (#305668).
- fix imap scanning on 64-bit machines.
- fix unlikely crash in initial configuration (#30666).

* Balsa-2.3.2 release. Release date 2005-05-08

- fix bugs 302782, 303421, 303422.

* Balsa-2.3.1 release. Release date 2005-05-02

- build with GNOME-2.10, OSX, SuSE, gcc4.
- omit self from cc addresses.
- cache message counts between sessions.
- allow sending messages through a pipe to an external program.
- support for multiple esmtp servers.
- allow using STATUS for checking IMAP mailboxes.
- reimplement message duplicate deletion.
- bugs fixed 123765, 153386, 168732, 168733, 168353, 171388, 170456,
  170512, 171415, 172005, 172145.


* Balsa-2.3.0 release. Release date 2005-02-23

- require GTK+ >= 2.4.0
- new address completion widget.
- new themeable icon scheme.
- new composer attachment handling widget.
- migrate from GnomeFileEntry to GtkFileChooser.
- IMAP IDLE support.

* Balsa-2.2.6 release. Release date 2004-11-19

- fixed MBOX driver over NFS problem.
- use ISO-2022-JP for composing Japanese messages.
- yet more exceptions caught.
- S/MIME support.
- improved identity selection and address book completions.
- IMAP optimizations.

* Balsa-2.2.5 release. Release date 2004-10-02

- sent messages saved to sentbox only after being sent.
- use of fixed-height with gtk2>=2.4.9 to speed up large mailboxes.
- GPG is expected to be fully functional now.
- mbox mailbox driver fixes.

* Balsa-2.2.4 release. Release date 2004-08-28

- periodic expunge configurable.
- cleanup IMAP password quering code.
- GPE address book support -
  http://gpe.handhelds.org/projects/GPE-address.shtml
- new configuration druid.

* Balsa-2.2.3 release. Release date 2004-08-15

- periodic expunge code crash fixed.
- fixed recovery from broken IMAP connections.
- startup speedup.
- some memory leaks fixed.

* Balsa-2.2.2 release. Release date 2004-08-08

- configurable hiding of deleted messages.
- keyboard navigation fixes.
- message counting in some edge cases fixed.
- GPG fixes.

* Balsa-2.2.1 release. Release date 2004-07-30

- IMAP mailboxes could be incorrectly marked as read-only.
- message selection behaves more sanely.
- 64-bit fixes.
- memory leaks fixed.
- handle better imap servers without server-side threading and limits
  on number of concurent connections.
- quick "Sender or Subject" message index filtering.
- various UI improvements.

* Balsa-2.2.0 release. Release date 2004-07-06

- fix 143322, 143263, 145701.
- GPGME updates.
- GSSAPI IMAP authentication.
- more build fixes.

* Balsa-2.1.91 release. Release date 2004-07-06

- multiple build fixes.
- few crashes fixed.

* Balsa-2.1.90 release. Release date 2004-07-03

- mailbox scanning improvements.
- Edit/Find UI more user-friendly.
- message filtering fixes.
- reset TLS status of broken IMAP sessions.

* Balsa-2.1.3 release. Release date 2004-05-22

- GPGME fixes.
- Reduce memory usage of local mailbox drivers.
- numerous i18n fixes.
- more careful error checking.
- user configuration of TLS, APOP settings to work around broken servers.

* Balsa-2.1.2 release. Release date 2004-04-05

- POP3 with TLS and PIPELINING.
- mbox driver performance improvements.
- numerous other performance improvements.
- filters reenabled.
- memory leaks plugged.

* Balsa-2.1.1 release. Release date 2004-02-29

Numerous fixes, most prominent are:
- reduce memory usage of mbox driver.
- major cleanup of local and remote drivers.
- searching re-enabled again.
- SSL/TLS re-enabled again.
- Use bonobo to bring up already running instances.

* Balsa-2.1.0 release. Release date 2004-01-11

- entirely new backend and message index.

* Balsa-2.0.14 release. Release date 2003-08-26

- message wrapping improvements, RFC 2646 support.
- experimental LDAP write support (feedback and patches appreciated).
- number of bugs fixed.

* Balsa-2.0.13 release. Release date 2003-07-27

- more flexible printing configuration.
- l10n improvements.
- number of bug fixes.

* Balsa-2.0.12 release. Release date 2003-07-06

- Added Undo and Redo in the message composer.
- occasional mangling of text attachments fixed.
- more information about attached messages is shown.
- further GPG improvements.

* Balsa-2.0.11 release. Release date 2003-05-11

- text wrapping improvements.
- charset encoding validation and conversion improvements.
- several message signing and encryption improvelemts.
- minor LDAP fixes (large directories, non-US-ASCII characters).

* Balsa-2.0.10 release. Release date 2003-03-24

- GPG support.
- translation fixes and enhancements.
- large set of UI fixes.
- wrapping cleanups.
- autocommit improvements.
- (lib)mutt buffer overflow fix.
- ...and lots of other bugs fixed.

* Balsa-2.0.9 release. Release date 2003-02-23

- some crashes and deadlocks fixed.
- bugs in --without-esmtp build fixed.
- autocommit feature misbehaviors fixed.
- filtering in presence of deleted messages fixed.

* Balsa-2.0.8 release. Release date 2003-02-16

- infinite loops in message threading fixed.
- bug fixed: 105763, 105871, 105605.

* Balsa-2.0.7 release. Release date 2003-02-09

- message threading improvements.
- IMAP connections pinged to prevent timeouts.
- configurable procmail commands used for POP filtering.

* Balsa-2.0.6 release. Release date 2003-01-29

- authenticated LDAP binding. Option to use TLS for LDAP.
- persistent mailbox sorting and threading.
- search improvements.
- multiple UI fixes.
- printing font and paper selection fixed.

* Balsa-2.0.5 release. Release date 2003-01-05

- IMAP message caching fixed.
- use images attached to HTML messages.
- make identity dialogs non-modal.
- do charset conversion (if needed) on including files to compose windows.
- do not allow to send messages with wrong charset.
- number of other bugs fixed.

* Balsa-2.0.4 release. Release date 2002-12-24

- do not use any deprecated GNOME API.
- compile against aspell>=0.50 and gnome-2.2
- do not crash on concurrent access to local mailboxes.
- finally working help.
- update titles of compose windows.
- numerous bug fixes.

* Balsa-2.0.3 release. Release date 2002-10-28

- preference manager adapted to HIG.
- new translations.
- IMAP and LDAP fixes.
- filter fixes.
- printing fixes.

* Balsa-2.0.2 release. Release date 2002-09-15

- lot of deprected coe removed.
- internationalization problems nailed down.
- many bug fixes and improvements ported from the main trunk.

* Balsa-2.0.1 release. Release date 2002-06-10

This is a second release of GNOME2 port. It shares many improvements
with the main branch. The changes unique to this port are:

- port objects to GObjects whenever possible.
- replace GtkCTree with GtkTreeView.
- redesign identities dialog from scratch.

* Balsa-2.0.0 release. Release date 2002-04-24

This is first release of GNOME2 port.

* Balsa-1.3.1 release. Release date 2002-02-07

- fixes for printing of multipart messages with different content-types (AD).
- rescanning local directories.
- delayed message deletion (and undeletion) (PB).
- highlight bad addresses in compose window (PB).
- external editor support (Jelmer Vernooij).
- imap message caching.
- imap password handling fixes.

* Balsa-1.3.0 release. Release date 2001-12-16

- first step to searching and filters.
- require gnome-1.4 or newer: gdk_pixbuf, gnome-vfs and some other.
- delayed IMAP tree scanning.
- "reply to group" functional.

* Balsa-1.2.3 release. Release date 2001-11-05

- improved address extraction from messages.
- new tools for the toolbar.
- improved handling of mail threading.
- other UI fixes.
- make building from the tarball easier.

* Balsa-1.2.2 release. Release date 2001-10-31

- few crash opportunities removed.
- few UI improvements.
- better handling of IMAP connection problems.

* Balsa-1.2.1 release. Release date 2001-10-21

- new icons (Ali Akcaagac).
- handling MIME external-body types: receiving and sending.
- forwarding messages as attachement (Albrecht Dreß).
- handling format=flowed messages (Peter Bloomfield, rfc2646).
- improved handling of collapsed threads (Toralf Lund, Carlos).
- handling of distribution lists for LDIF address books (Toralf Lund).
- extended D&D compose mail handling (Peter Bloomfield, Toralf Lund).
- many new functions added to the toolbar.
- multiple UI improvements.
- several bugs fixed.

* Balsa-1.2.0 release. Release date 2001-09-18

- exit clean up cleaned up.
- message D&D improved.
- final POP3 fixes.

* Balsa-1.2.pre3 release. Release date 2001-08-31

- POP3 code armoured (hopefully)
- selective IMAP check fixed.
- ESMTP TLS support.
- fix some nasty bugs, including gnome_exec_async() and gnome_show_url() ones.

* Balsa-1.2.pre2 release. Release date 2001-08-23

- download pop3 mail to arbirary box.
- numerous memory leaks plugged.
- SSL roughly functional.
- new nice icons.
- paper selection implemented.
- LDIF address book format added (this is the recommended format).
- LDAP address book functional for large LDAP servers.
- numerous bugs fixed, including: #52384, #55416, #55437, #58473, 
  #59326, #59331 and 34 other less interesting (duplicated, packaging errors,
  older versions).

* Balsa-1.2.pre1 release. Release date 2001-08-08

- bug fixes.

* Balsa-1.1.7 pre-release. Release date 2001-07-13

- several improvements in IMAP folder handling (Peter Bloomfield).
- message size column in index (Maciej Golebiewski).
- numerous UI improvements (christophe barbe, M. Thielker, Manuel McLure)
- some new command line options.
- several bugs fixed.

* Balsa-1.1.6 development release. Release date 2001-06-21

- multiple identity support (Matthew Guenther).
- message deletion optimizations.
- mailbox index flipping on message deletion or transfer fixed.
- more IMAP Cyrus fixes (Peter Bloomfield)
- MH nested mailboxes support (Gordon Oliver).

* Balsa-1.1.5 development release. Release date 2001-05-21

- libESMTP used for message submission: AUTH and PIPELINE extension available.
- active URLs in text messages. (Albrecht Dreß)
- pipe signature support. (Julian M Catchen)
- printing rewritten: printing images etc. (Albrecht Dreß)

* Balsa-1.1.4 development release. Release date 2001-04-20

- GDK locking problems resolved.
- printing non-english texts enabled.
- extended quoted text and reply string configuration.
- occasional attachment corruption problem fixed.
- SGI compatibility fixes.

* Balsa-1.1.3 development release. Release date 2001-03-29

- minor optimization work. 
- MDN reply suport (Albrecht Dress <albrecht.dress@arcormail.de>). 
- IMAP timeout handled (bit over-verbosely, IMO).
- maildir and MH mailboxes creation.

* Balsa-1.1.2 development release. Release date 2001-03-03

- IMAP folders
- IMAP mailbox checking tested. Pings connections properly.
- initial subscribe support IMAP mailboxes.
- MT-enabled mailbox opening.

* Balsa-1.1.1 development release. Release date 2001-02-06

- IMAP folders semi-ofically working.
- IMAP code considerably improved.
- IMAP mailbox checking functional.
- preferences dialog improvements.
- numerous bug fixes.


* Balsa-1.1.0 development release. Release date 2001-01-22

- aliases support improved A LOT.
- DnD support. don't stress it too much, it sometimes crashes unexpectedly.
- sends Disposition Notification requests.
- give a choice to prepend or append the signature.
- lot of internal mailbox node restructure and bug fixes.

* Balsa-1.0.pre2 test release. Release date 2000-10-06.

This is a second official pre-release. No new features, only bugs have
been fixed:

- don't crash on replying empty mails
- fixes solaris build.
- updated doc.
- make install prefix=xxx should work now.
- cancelled spell check outputting garbage bug.

The interface has been polished a bit, too.

* Balsa-1.0.pre1 test release. Release date 2000-09-27.

This is the first official pre-release. The list of changes since
0.9.5 includes mostly bug fixes and interface changes.

- new context-sensitive main window menu.
- gnome-print-0.22 compatibility.
- memory leaks.
- spell check improvements and compose message language selection.
- improved line wrapping.

* Balsa-0.9.5 development release. Release date 2000-09-18.

We are in a feature freeze state. The features implemented since 0.9.4
are:

- improved multi-threading.
- new warning/error reporting code.
- LDAP support.
- spell check (pspell package required tu compile and use balsa).
- gnome-config used for storing/reading configuration.
- multiple address book support. vCard- and LDAP-types implemented.
- manual updates
- gnome-print used for printing.

* Balsa-0.9.4 development release. elease date 2000-09-05.

- IMAP CRAM-MD5 and GSSAPI authorization methods
- POP3 APOP authorization method.

* Balsa-0.9.3 development release. Release date 2000-08-28.

This is a developement release with unfinished features.

POP downloading seem to be finally solved.

Crash when deleting the last message from a mailbox has been identified
and terminated.

Do not report bugs with GtkHTML - it is quite unstable. Patches are
welcome.

* Balsa-0.9.2 development release. Release date 2000-08-15.

- some bug fixes.

* Balsa-0.9.1 development release. Release date 2000-08-06.

- new message browser.
- user defined location of the address book.
- alias expansion support.
- quoted text highlighting.
- gtkHTML experimental support.
